import React, { useContext } from 'react';
import { TreatProvider } from 'react-treat';
export const GlazeContext = React.createContext(undefined);
export function ThemeProvider({ theme, children, }) {
    return (React.createElement(TreatProvider, { theme: theme.ref },
        React.createElement(GlazeContext.Provider, { value: theme }, children)));
}
export function useTheme() {
    const theme = useContext(GlazeContext);
    if (!theme)
        throw new Error('No glaze theme provided');
    return theme;
}
