import { useStyles } from 'react-treat';
import { useTheme } from './GlazeContext';
import styleRefs from './useStyling.treat';
export function useStyling() {
    const staticClassNames = useStyles(styleRefs);
    const theme = useTheme();
    return function sx(themedStyle) {
        let className = '';
        const style = {};
        // Prefer performance over clarity for the runtime
        // eslint-disable-next-line guard-for-in, no-restricted-syntax
        for (const alias in themedStyle) {
            const value = themedStyle[alias];
            const shorthand = theme.aliases[alias] || alias;
            // eslint-disable-next-line no-loop-func
            (theme.shorthands[shorthand] || [shorthand]).forEach((key) => {
                // TODO: Support selectors and media queries
                if (typeof value !== 'object') {
                    const staticClassName = staticClassNames[`${key}.${value}`];
                    if (staticClassName) {
                        className += `${staticClassName} `;
                    }
                    else {
                        style[key] = value;
                    }
                }
            });
        }
        return { className, style };
    };
}
